using System;
using NinjaTrader.Cbi;

internal sealed class Delegate357 : MulticastDelegate
{
	public extern MasterInstrument Invoke(object object_0);

	public static MasterInstrument smethod_0(object object_0, Delegate357 delegate357_1)
	{
		return delegate357_1(object_0);
	}

	public extern Delegate357(object object_0, IntPtr intptr_0);

	static Delegate357()
	{
		Class10.smethod_13(typeof(Delegate357).TypeHandle);
	}

	internal static Delegate357 delegate357_0;
}
